Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::ICameraProperties Class Reference
CameraDevice

Interface to the core CameraDevice properties. More...

`#include <CameraDevice.h>`

Inheritance diagram for Argus::ICameraProperties:

List of all members.

## Public Member Functions
virtual UUID | getUUID () const =0
| Returns the camera UUID.
virtual uint32_t | getMaxAeRegions () const =0
| Returns the maximum number of regions of interest supported by AE.
virtual uint32_t | getMaxAwbRegions () const =0
| Returns the maximum number of regions of interest supported by AWB.
virtual Status | getBasicSensorModes (std::vector< SensorMode * > *modes) const =0
| Returns only the basic available sensor modes that do not have an associated extension.
virtual Status | getAllSensorModes (std::vector< SensorMode * > *modes) const =0
| Returns all the available sensor modes including the ones that have extensions.
virtual Range< int32_t > | getFocusPositionRange () const =0
| Returns the valid range of focuser positions.
virtual Range< float > | getLensApertureRange () const =0
| Returns the supported aperture range.
virtual Range< float > | getIspDigitalGainRange () const =0
| Returns the supported range of ISP digital gain.
virtual Range< float > | getExposureCompensationRange () const =0
| Returns the supported range of Exposure Compensation.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~ICameraProperties ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface to the core CameraDevice properties.

Definition at line 68 of file CameraDevice.h.

## Constructor & Destructor Documentation

Argus::ICameraProperties::~ICameraProperties | ( |  | ) |
| inline protected

Definition at line 140 of file CameraDevice.h.

## Member Function Documentation

virtual Status Argus::ICameraProperties::getAllSensorModes | ( | std::vector< SensorMode * > * | modes | ) | const
| pure virtual

Returns all the available sensor modes including the ones that have extensions.

The extended modes support some form of Wide Dynamic Range (WDR) technology.

All the returned modes will support the basic sensor mode interface.

See also:
  ISensorMode

Parameters:

  [out] | modes | A vector that will be populated with the sensor modes.

Returns:
  success/status of the call.

virtual Status Argus::ICameraProperties::getBasicSensorModes | ( | std::vector< SensorMode * > * | modes | ) | const
| pure virtual

Returns only the basic available sensor modes that do not have an associated extension.

Basic mode types include Depth, RGB, YUV and Bayer types.

Parameters:

  [out] | modes | A vector that will be populated with the sensor modes.

Returns:
  success/status of the call.

virtual Range<float> Argus::ICameraProperties::getExposureCompensationRange | ( |  | ) | const
| pure virtual

Returns the supported range of Exposure Compensation.

virtual Range<int32_t> Argus::ICameraProperties::getFocusPositionRange | ( |  | ) | const
| pure virtual

Returns the valid range of focuser positions.

The units are focuser steps.

virtual Range<float> Argus::ICameraProperties::getIspDigitalGainRange | ( |  | ) | const
| pure virtual

Returns the supported range of ISP digital gain.

virtual Range<float> Argus::ICameraProperties::getLensApertureRange | ( |  | ) | const
| pure virtual

Returns the supported aperture range.

virtual uint32_t Argus::ICameraProperties::getMaxAeRegions | ( |  | ) | const
| pure virtual

Returns the maximum number of regions of interest supported by AE.

A value of 0 means that the entire image is the only supported region of interest.

See also:
  IAutoControlSettings::setAeRegions()

virtual uint32_t Argus::ICameraProperties::getMaxAwbRegions | ( |  | ) | const
| pure virtual

Returns the maximum number of regions of interest supported by AWB.

A value of 0 means that the entire image is the only supported region of interest.

See also:
  IAutoControlSettings::setAwbRegions()

virtual UUID Argus::ICameraProperties::getUUID | ( |  | ) | const
| pure virtual

Returns the camera UUID.

Todo:
  Describe the meaning of the camera UUID.

static const InterfaceID& Argus::ICameraProperties::id | ( |  | ) |
| inline static

Definition at line 71 of file CameraDevice.h.

The documentation for this class was generated from the following file:

- include/Argus/CameraDevice.h